Skip to article

Strategy

GTM roadmap and voice framework.

GET /brands/:slug/gtm

GTM roadmap with phases.

Responses
200GTM

Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup

curl -X GET \
  "$CRUMBLESS_API_BASE_URL/brands/:slug/gtm" \
  -H "Authorization: Bearer $CRUMBLESS_API_TOKEN"
POST /brands/:slug/gtm/update

Update GTM plan.

Request Body
{ "objective": "Increase brand awareness" }
Responses
200Updated

Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup

curl -X POST \
  "$CRUMBLESS_API_BASE_URL/brands/:slug/gtm/update" \
  -H "Authorization: Bearer $CRUMBLESS_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "objective": "Increase brand awareness" }'
GET /brands/:slug/voice

Voice framework.

Responses
200Voice

Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup

curl -X GET \
  "$CRUMBLESS_API_BASE_URL/brands/:slug/voice" \
  -H "Authorization: Bearer $CRUMBLESS_API_TOKEN"
POST /brands/:slug/voice/update

Update voice.

Request Body
{ "mood": "energetic", "tone": "friendly" }
Responses
200Updated

Use your running CRUMBLESS_API_BASE_URL and matching CRUMBLESS_API_TOKEN. API setup

curl -X POST \
  "$CRUMBLESS_API_BASE_URL/brands/:slug/voice/update" \
  -H "Authorization: Bearer $CRUMBLESS_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "mood": "energetic", "tone": "friendly" }'